package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.util.Date;

/**
 * 药品进口信息数据子集(DrugImportApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-10 12:39:23
 */
@SuppressWarnings("serial")
@Data
public class DrugImportApplyInfo extends Model<DrugImportApplyInfo> {
    //主键ID
    private Long id;
    //事件流水号
    private String eventId;
    //事件响应时间
    private Date recTime;
    //药品追溯码
    private String ypzsm;
    //上一级包装药品追溯码
    private String syjbzypzsm;
    //包装层级
    private String bzcj;
    //暂无
    private String ymzt;
    //统一社会信用代码（进口疫苗代理企业）
    private String tyshxydmjkymdlqy;
    //进口疫苗代理企业名称
    private String jkymdlqymc;
    //境外药品上市许可持有人代码
    private String jwypssxkcyrdm;
    //境外药品上市许可持有人名称（中文）
    private String jwypssxkcyrmczw;
    //境外药品生产企业代码
    private String jwypscqydm;
    //境外药品生产企业名称（中文）
    private String jwypscqymczw;
    //统一社会信用代码（分包装厂）
    private String tyshxydmfbzc;
    //分包装厂名称
    private String fbzcmc;
    //药品通用名称
    private String yptymc;
    //国家药品标识码
    private String gjypbsm;
    //药品生产批号
    private String ymscph;
    //药品生产日期
    private Date scrq;
    //药品有效期截止日期
    private Date ymyxqjzrq;
    //生产数量
    private Integer scsl;
    //入库编号
    private String rkdbh;
    //入库时间
    private Date rksj;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //是否删除(0-否 1-是)
    private Integer isDeleted;

}

