package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.util.Date;

/**
 * 药品零售与药品使用信息数据子集(DrugRetailAndUseApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-10 12:39:23
 */
@SuppressWarnings("serial")
@Data
public class DrugRetailAndUseApplyInfo extends Model<DrugRetailAndUseApplyInfo> {
    //主键ID
    private Long id;
    //事件流水号
    private String eventId;
    //事件响应时间
    private Date recTime;
    //药品追溯码
    private String ypzsm;
    //上一级包装药品追溯码
    private String bzcj;
    //包装层级
    private String syjbzypzsm;
    //暂无
    private String ymzt;
    //统一社会信用代码（境内药品生产企业）
    private String tyshxydmjnypscqy;
    //境内药品生产企业名称
    private String jnypscqymc;
    //境外药品生产企业代码
    private String jwypscqydm;
    //境外药品生产企业名称（中文）
    private String jwypscqymczw;
    //药品通用名称
    private String yptymc;
    //国家药品标识码
    private String gjypbsm;
    //药品批准文号
    private String yppzwh;
    //药品批准文号有效期
    private Date yppzwhyxq;
    //疫苗生产批号
    private String ymscph;
    //生产日期
    private Date scrq;
    //药品有效期截止日期
    private Date ypyxqjzrq;
    //售药日期
    private Date syrq;
    //统一社会信用代码（进口疫苗代理企业）
    private String tyshxydmjkymdlqy;
    //进口疫苗代理企业名称
    private String jkymdlqymc;
    //售药数量
    private Integer sysl;
    //售出时间
    private Date scsj;
    //购买人身份信息
    private String gmrsfxx;
    //购买人电话号码
    private String gmrdhhm;
    //互联网订单标志
    private String hlwddbz;
    //剂型
    private String jx;
    //包装规格
    private String bzgg;
    //制剂规格
    private String zjgg;
    //包装转换比
    private Double bzzhb;
    //包装转换比单位
    private String bzzhbdw;
    //药品注册分类
    private String ypzcfl;
    //特殊药品管理分类
    private String tsypglfl;
    //统一社会信用代码（零售药店）
    private String tyshxydmlsyd;
    //执业许可证登记号
    private String zyxkzdjh;
    //零售药店名称
    private String lsydmc;
    //售药单位类型
    private String sydwlx;
    //售药单位类型小类
    private String sydwlxxl;
    //零售药店编号
    private String lsdjbh;
    //经营许可证编号
    private String jyxkzbh;
    //卫生机构代码
    private String wsjgdm;
    //开方医师
    private String kfys;
    //药品发药人
    private String ypfyr;
    //药品使用者
    private String ypsyz;
    //药品使用者代理人
    private String ypsyzdlr;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //是否删除(0-否 1-是)
    private Integer isDeleted;

}

